SystemOrganization addCategory: #FuelFileSystemTests!

FLStreamStrategy subclass: #FLFileSystemFileStreamStrategy
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FuelFileSystemTests'!

!FLFileSystemFileStreamStrategy methodsFor: 'accessing' stamp: 'MarianoMartinezPeck 1/7/2012 12:08'!
fileName
	^ 'tests.fuel'! !

!FLFileSystemFileStreamStrategy methodsFor: 'reading' stamp: 'MarianoMartinezPeck 5/18/2012 23:28'!
readStreamDo: aValuable
	"Evaluates the argument with a read stream. Answers the result."
	
	(FileLocator imageDirectory / self fileName) readStreamDo: [:stream | ^ aValuable value: stream ]! !

!FLFileSystemFileStreamStrategy methodsFor: 'writing' stamp: 'MarianoMartinezPeck 5/18/2012 23:28'!
writeStreamDo: aValuable
	"Evaluates the argument with a write stream. Answers the result."
	
	(FileLocator imageDirectory / self fileName) writeStreamDo: [:stream | ^ aValuable value: stream ]
! !

!FLSerializationTest methodsFor: '*FuelFileSystemTests' stamp: 'MarianoMartinezPeck 1/7/2012 12:09'!
useFileSystemFileStream

	streamFactory := FLFileSystemFileStreamStrategy new! !
